%define threading 1
%define debugging 0

#
# From FC:
#

# This overrides filters from build root (/usr/lib/rpm/macros.d/macros.perl)
# intentionally (unversioned perl(DB) is removed and versioned one is kept).
# Filter provides from *.pl files, bug #924938
%global __provides_exclude_from .*%{_docdir}|.*%{perl_archlib}/.*\\.pl$|.*%{perl_privlib}/.*\\.pl$
%global __requires_exclude_from %{_docdir}
%global __provides_exclude perl\\((VMS|Win32|BSD::|DB\\)$)
# unicore::Name - it's needed by perl, maybe problem of rpm
# FCGI is external dependency after install of perl-CGI, remove it during RC releases
%global __requires_exclude perl\\((VMS|BSD::|Win32|Tk|Mac::|Your::Module::Here|unicore::Name|FCGI|Locale::Codes::.*(Code|Retired))


# Filter dependencies on private modules. Generator:
# for F in $(find lib -type f); do perl -e '$/ = undef; $_ = <>; if (/^package #\R([\w:]*);/m) { print qq{|^perl\\\\($1\\\\)} }' "$F"; done
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Locale::Codes::Country_Retired\\)|^perl\\(Locale::Codes::LangFam_Retired\\)|^perl\\(Locale::Codes::Script_Retired\\)|^perl\\(Locale::Codes::LangExt_Codes\\)|^perl\\(Locale::Codes::LangFam_Codes\\)|^perl\\(Locale::Codes::Script_Codes\\)|^perl\\(Locale::Codes::Language_Codes\\)|^perl\\(Locale::Codes::LangExt_Retired\\)|^perl\\(Locale::Codes::Currency_Codes\\)|^perl\\(Locale::Codes::LangVar_Retired\\)|^perl\\(Locale::Codes::Language_Retired\\)|^perl\\(Locale::Codes::Country_Codes\\)|^perl\\(Locale::Codes::LangVar_Codes\\)|^perl\\(Locale::Codes::Currency_Retired\\)

#
# End of FC
#



#%%define _default_patch_fuzz 2

%if %threading
%define thread_arch -thread-multi
%else
%define thread_arch %{nil}
%endif

%define arch %(echo %{_arch} | sed -e "s/amd64/x86_64/")
%define full_arch %{arch}-%{_os}%{thread_arch}
# Don't change to %{_libdir} as perl is clean and has arch-dependent subdirs
%define perl_root %{_prefix}/lib/perl5

%define lc_distro %(echo %{distribution} | cut -d" " -f1 | tr "A-Z" "a-z")

Name:     perl
Version:  5.20.1
%define subrel 1
Release:  %mkrel 8
Epoch:    2

%define rel %{nil}
#define rel -RC4

Summary:  The Perl programming language
License:  GPL+ or Artistic
Group:    Development/Perl
Url:      http://www.perl.org/

# ftp://ftp.funet.fi/pub/languages/perl/snap/perl@17574.tbz
#ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/perl-%{version}.tar.bz2
Source0:  http://www.cpan.org/src/perl-%{version}%{rel}.tar.bz2
Source1:  perl-headers-wanted
Source2:  perl-5.8.0-RC2-special-h2ph-not-failing-on-machine_ansi_header.patch
# From FC:
Source3:        macros.perl
Patch6:   perl-5.16.0-fix-LD_RUN_PATH-for-MakeMaker.patch
Patch15:  perl-5.20.0-lib64.patch
Patch16:  perl-5.16.0-perldoc-use-nroff-compatibility-option.patch
#(peroyvind) use -fPIC in stead of -fpic or else compile will fail on sparc (taken from redhat)
Patch21:  perl-5.8.1-RC4-fpic-fPIC.patch
Patch23:  perl-5.12.0-patchlevel.patch
Patch32:  perl-5.10.0-incversionlist.patch

Patch43:  perl-5.20.0-skip_tests_using_dev_log_for_iurt.patch
Patch44:  perl-5.16.0-h2ph--handle-relative-include.patch
Patch45:  CPAN-2.00-increase_cpan-O_precision.patch

# mdvbz#34505, get rid of this patch as soon as possible :-/
Patch48:  perl-5.16.0-workaround-segfault-freeing-scalar-a-second-time.patch
Patch49:  perl-5.10.0-workaround-error-copying-freed-scalar.patch

Patch51:  perl-5.20.1-CVE-2014-4330.patch
# Due to a mistake in the string-copying logic, copying the value of a state
# variable could instead steal the value and undefine the variable.  This
# bug, introduced in 5.20, would happen mostly for long strings (1250 chars
# or more), but could happen for any strings under builds with copy-on-write
# disabled.  [perl #123029]
Patch52:  perl-5.20.1-fix-state-vars-getting-lost.patch
Patch53:  perl-5.22.1-CVE-2015-8607.patch
#
# fixes taken from debian
#
# Fix a segmentation fault occurring in the mod_perl2 test suite (debian #475498, perl #33807)
Patch65:  local_symtab.diff
# append to config cflags debian #628522
Patch66:  perl-5.14.0-fix_eumm_append_to_config_cflags_instead_of_overriding.patch
# use hanextra for zh_CN.GB18030 promoted in mga3
Patch68:  perl-5.16.1-use-han-extra.patch
# do not exclude requires from META.* from %%_docdir when using %%perl_default_filter:
Patch70:  do-not-exclude-requires-from-meta.diff

Requires: perl-base = %{epoch}:%{version}-%{release}

# --

# the following modules are dual-lifed modules, which are shipping
# scripts in /usr/bin. to prevent conflict, dual-lifed modules rename
# the scripts - but only after the listed version ;-)
Conflicts: perl-Archive-Tar < 1.840.0-2
Conflicts: perl-Digest-SHA < 5.610.0-3
Conflicts: perl-JSON-PP < 2.271.50-3
Conflicts: perl-Module-Build < 1:0.380.0-3
Conflicts: perl-Module-CoreList <= 2.610.0
Conflicts: perl-Pod-Perldoc < 3.150.0-3
Conflicts: perl-IO-Compress < 2.49.0-2

# the following modules are no more compatible with recent perls, and
# aren't updated on cpan since quite some time.
# - perl 5.14
Conflicts: perl-Alias        <= 2.320.0-2
Conflicts: perl-DBD-Firebird <= 0.52-1
# rt#66966
Conflicts: perl-MIME-Explode <= 0.380.0-2

# file conflict on /bin/prove
Conflicts: perl-devel <= 5.18.2-3.mga5

Provides: perl(attributes)
Provides: perl(blib)
Provides: perl(charnames)
Provides: perl(feature)
Provides: perl(fields)
Provides: perl(if)
Provides: perl(locale)
Provides: perl(mro)
Provides: perl(open)
Provides: perl(re)
Provides: perl(subs)
Provides: perl(warnings::register)

Provides:  perl-libnet
Provides:  perl-Storable = 2.490.0
Obsoletes: perl-Storable < 2.490.0
Provides:  perl-Time-HiRes = 1:1.972.600
Obsoletes: perl-Time-HiRes < 1:1.972.600
Provides:  perl-Locale-Codes
Provides:  perl-Test-Simple = 1.1.2
Obsoletes: perl-Test-Simple < 1.1.2
Provides:  perl-Test-Builder-Tester = 1.180.0
Obsoletes: perl-Test-Builder-Tester < 1.180.0

Provides:  perl(version) = 1:1.130.0
Provides:  perl-version = 1:1.130.0
Obsoletes: perl-version < 1:1.130.0
Provides:  perl-File-Fetch = 0.480.0
Obsoletes: perl-File-Fetch < 0.480.0
Provides:  perl-CPAN = 2.50.0
Obsoletes: perl-CPAN < 2.50.0
Provides:  perl-IO-Zlib = 1.100.0
Obsoletes: perl-IO-Zlib < 1.100.0
Provides:  perl-Pod-Simple = 3.280.0
Obsoletes: perl-Pod-Simple < 3.280.0
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}Mac|VMS|perl >=|perl\\(Errno\\)|perl\\(Fcntl\\)|perl\\(IO\\)|perl\\(IO::File\\)|perl\\(IO::Socket::INET\\)|perl\\(IO::Socket::UNIX\\)|perl\\(Tk\\)|perl\\(Tk::Pod\\)|perlapi-

# for NDBM
BuildRequires: db-devel
BuildRequires: gdbm-devel
%if "%{_lib}" == "lib64"
BuildRequires: devel(libgdbm_compat(64bit))
%else
BuildRequires: devel(libgdbm_compat)
%endif
BuildRequires: rpm-%{lc_distro}-setup-build

BuildRequires: man

%package base
Version:  %{version}
Summary:  The Perl programming language (base)
Provides: perl(v5.6.0) perl(base) perl(bytes) perl(constant) perl(integer) perl(lib) perl(overload) perl(strict) perl(utf8) perl(vars) perl(warnings) perl(Carp::Heavy)
Group:    Development/Perl
Url:      http://www.perl.org/
# explicit file provides
Provides: /usr/bin/perl
Provides: /bin/perl

%package devel
Version:  %{version}
Summary:  The Perl programming language (devel)
Group:    Development/Perl
Url: http://www.perl.org/
# for each package linked against libperl.so, rpm will
# add an automatic dependency on devel(libperl) for
# the corresponding devel package, but rpm will not
# automatically provides it, as libperl.so is not in
# standard library path
%ifarch %ix86
Provides:   devel(libperl)
%endif
%ifarch x86_64
Provides:   devel(libperl(64bit))
%endif
Requires: %{name} = %{epoch}:%{version}-%{release}

%package doc
Version:  %{version}
Summary:  The Perl programming language (documentation)
Group:    Development/Perl
BuildArch: noarch
Url:      http://www.perl.org/
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: groff-for-man
Requires: perl(Pod::Perldoc)

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

You need perl-base to have a full perl.

%description base
This is the base package for %{name}.

%description devel
This is the devel package for %{name}.

%description doc
This is the documentation package for %{name}.
It contains also the 'perldoc' program.

%prep
%setup -q -n %{name}-%{version}%{rel}
%patch6 -p0
%patch15 -p1
%patch16 -p0
%patch21 -p1 -b .peroyvind
%if "%{rel}" == "%{nil}"
%patch23 -p0 -b .patchlevel
%endif
%patch32 -p1
%patch43 -p0
%patch44 -p0
%patch45 -p0
%patch48 -p0
%patch49 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1

%patch65 -p1
%patch66 -p1 -b .cflags
%patch68 -p1 -b .han

# FC's macros.perl:
cp -a %{SOURCE3} .
# do not exclude requires from META.* from %%_docdir:
%patch70 -p1 -b .req_from_meta

chmod -R u+w *

%build
sh Configure -des \
  -Dinc_version_list="5.20.1 5.20.1/%{full_arch} 5.20.0 5.20.0/%{full_arch} 5.18.2 5.18.1 5.18.0 5.16.3 5.16.3 5.16.2 5.16.2 5.16.1 5.16.1 5.16.0 5.16.0" \
  -Darchname=%{arch}-%{_os} \
  -Dcc='%{__cc}' \
%if %debugging
  -Doptimize=-g -DDEBUGGING \
%else
  -Doptimize="%(echo %optflags %ldflags -pthread|sed -e 's/-Wl,--no-undefined//')" -DDEBUGGING=-g \
%endif
  -Dprefix=%_prefix -Dvendorprefix=%_prefix \
  -Dsiteprefix=%_prefix -Dsitebin=%_prefix/local/bin \
  -Dsiteman1dir=%_prefix/local/share/man/man1 \
  -Dsiteman3dir=%_prefix/local/share/man/man3 \
  -Dman3dir=%_mandir/man3pm \
  -Dvendorman3dir=%_mandir/man3 \
  -Dman3ext=3pm \
  -Dcf_by=%{distribution} -Dmyhostname=localhost -Dperladmin=root@localhost -Dcf_email=root@localhost  \
  -Dperllibs='-lnsl -ldl -lm -lcrypt -lutil -lc -pthread'   \
  -Ud_csh \
  -Duseshrplib \
%if %threading
  -Duseithreads \
%endif
  -Di_db \
  -Di_ndbm \
  -Di_gdbm

%make

%check
# for test, building a perl with no rpath
# for test, unset RPM_BUILD_ROOT so that the MakeMaker trick is not triggered
rm -f perl
%define nbprocs %(/usr/bin/getconf _NPROCESSORS_ONLN)
RPM_BUILD_ROOT="" TEST_JOBS=%{nbprocs} make test_harness_notty CCDLFLAGS=
rm -f perl
make perl

%install
%makeinstall_std

#
# perl RPM macros
#
mkdir -p ${RPM_BUILD_ROOT}%{_rpmconfigdir}/macros.d
install -p -m 644 macros.perl ${RPM_BUILD_ROOT}%{_rpmconfigdir}/macros.d/

install -d $RPM_BUILD_ROOT%{perl_root}/vendor_perl/%{version}/%{full_arch}/auto

# We prefer 0755 instead of 0555
find $RPM_BUILD_ROOT -name "*.so" | xargs chmod 0755

cp -f utils/h2ph utils/h2ph_patched
cat %{SOURCE2} | patch -p1

# LD_PRELOAD doesn't work... why?
LD_LIBRARY_PATH=`pwd` ./perl -Ilib utils/h2ph_patched -a -d $RPM_BUILD_ROOT%{perl_root}/%{version}/%{full_arch} `cat %{SOURCE1}` > /dev/null ||:

(
    # i don't like hardlinks, having symlinks instead:
    cd $RPM_BUILD_ROOT%{_bindir}
    ln -sf perl5 perl
    ln -s perl%{version} perl5
)

rm -f $RPM_BUILD_ROOT%{_bindir}/perlivp $RPM_BUILD_ROOT%{_mandir}/man1/perlivp.1

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

(
   cat > perl-base.list <<EOF
%{_bindir}/perl
%{_bindir}/perl5
%{_bindir}/perl%{version}
%dir %{perl_root}
%dir %{perl_root}/%{version}
%dir %{perl_root}/%{version}/File
%{perl_root}/%{version}/autouse.pm
%{perl_root}/%{version}/AnyDBM_File.pm
%{perl_root}/%{version}/FindBin.pm
%{perl_root}/%{version}/File/Basename.pm
%{perl_root}/%{version}/File/Find.pm
%{perl_root}/%{version}/File/Path.pm
%{perl_root}/%{version}/File/Temp.pm
%{perl_root}/%{version}/File/GlobMapper.pm
%dir %{perl_root}/%{version}/Getopt
%{perl_root}/%{version}/Getopt/Long.pm
%{perl_root}/%{version}/Getopt/Std.pm
%dir %{perl_root}/%{version}/Encode
%{perl_root}/%{version}/Encode/ConfigLocal_PM.e2x
%{perl_root}/%{version}/Encode/Makefile_PL.e2x
%{perl_root}/%{version}/Encode/_PM.e2x
%{perl_root}/%{version}/Encode/_T.e2x
%dir %{perl_root}/%{version}/IO
%dir %{perl_root}/%{version}/Compress
%dir %{perl_root}/%{version}/IO/Compress
%{perl_root}/%{version}/Compress/Zlib.pm
%dir %{perl_root}/%{version}/IO/Compress/Adapter
%{perl_root}/%{version}/IO/Compress/Adapter/Bzip2.pm
%{perl_root}/%{version}/IO/Compress/Adapter/Deflate.pm
%{perl_root}/%{version}/IO/Compress/Adapter/Identity.pm
%dir %{perl_root}/%{version}/IO/Compress/Base
%{perl_root}/%{version}/IO/Compress/Base.pm
%{perl_root}/%{version}/IO/Compress/Base/Common.pm
%{perl_root}/%{version}/IO/Compress/Bzip2.pm
%{perl_root}/%{version}/IO/Compress/Deflate.pm
%dir %{perl_root}/%{version}/IO/Compress/Gzip
%{perl_root}/%{version}/IO/Compress/Gzip.pm
%{perl_root}/%{version}/IO/Compress/Gzip/Constants.pm
%{perl_root}/%{version}/IO/Compress/RawDeflate.pm
%dir %{perl_root}/%{version}/IO/Compress/Zip
%{perl_root}/%{version}/IO/Compress/Zip.pm
%{perl_root}/%{version}/IO/Compress/Zip/Constants.pm
%dir %{perl_root}/%{version}/IO/Compress/Zlib
%{perl_root}/%{version}/IO/Compress/Zlib/Constants.pm
%{perl_root}/%{version}/IO/Compress/Zlib/Extra.pm
%dir %{perl_root}/%{version}/IO/Uncompress
%dir %{perl_root}/%{version}/IO/Uncompress/Adapter
%{perl_root}/%{version}/IO/Uncompress/Adapter/Bunzip2.pm
%{perl_root}/%{version}/IO/Uncompress/Adapter/Identity.pm
%{perl_root}/%{version}/IO/Uncompress/Adapter/Inflate.pm
%{perl_root}/%{version}/IO/Uncompress/AnyInflate.pm
%{perl_root}/%{version}/IO/Uncompress/AnyUncompress.pm
%{perl_root}/%{version}/IO/Uncompress/Base.pm
%{perl_root}/%{version}/IO/Uncompress/Bunzip2.pm
%{perl_root}/%{version}/IO/Uncompress/Gunzip.pm
%{perl_root}/%{version}/IO/Uncompress/Inflate.pm
%{perl_root}/%{version}/IO/Uncompress/RawInflate.pm
%{perl_root}/%{version}/IO/Uncompress/Unzip.pm
%{perl_root}/%{version}/Net/Cmd.pm
%{perl_root}/%{version}/Net/Config.pm
%dir %{perl_root}/%{version}/Net/FTP
%{perl_root}/%{version}/Net/FTP.pm
%{perl_root}/%{version}/Net/FTP/A.pm
%{perl_root}/%{version}/Net/FTP/E.pm
%{perl_root}/%{version}/Net/FTP/I.pm
%{perl_root}/%{version}/Net/FTP/L.pm
%{perl_root}/%{version}/Net/FTP/dataconn.pm
%dir %{perl_root}/%{version}/Time
%{perl_root}/%{version}/Time/Local.pm
%{perl_root}/%{version}/AutoLoader.pm
%dir %{perl_root}/%{version}/Carp
%{perl_root}/%{version}/Carp.pm
%{perl_root}/%{version}/Carp/Heavy.pm
%{perl_root}/%{version}/DirHandle.pm
%{perl_root}/%{version}/%{full_arch}/Errno.pm
%dir %{perl_root}/%{version}/Exporter
%{perl_root}/%{version}/Exporter/Heavy.pm
%{perl_root}/%{version}/Exporter.pm
%{perl_root}/%{version}/FileHandle.pm
%{perl_root}/%{version}/PerlIO.pm
%{perl_root}/%{version}/SelectSaver.pm
%{perl_root}/%{version}/Symbol.pm
%dir %{perl_root}/%{version}/Tie
%{perl_root}/%{version}/Tie/Hash.pm
%{perl_root}/%{version}/XSLoader.pm
%{perl_root}/%{version}/base.pm
%{perl_root}/%{version}/bytes.pm
%{perl_root}/%{version}/bytes_heavy.pl
%{perl_root}/%{version}/constant.pm
%{perl_root}/%{version}/feature.pm
%{perl_root}/%{version}/integer.pm
%{perl_root}/%{version}/overload.pm
%{perl_root}/%{version}/strict.pm
%{perl_root}/%{version}/utf8.pm
%{perl_root}/%{version}/utf8_heavy.pl
%{perl_root}/%{version}/unicore/To/Lower.pl
%{perl_root}/%{version}/unicore/To/Fold.pl
%{perl_root}/%{version}/unicore/To/Upper.pl
%{perl_root}/%{version}/vars.pm
%dir %{perl_root}/%{version}/warnings
%{perl_root}/%{version}/warnings/register.pm
%{perl_root}/%{version}/warnings.pm
%dir %{perl_root}/%{version}/%{full_arch}
%{perl_root}/%{version}/%{full_arch}/lib.pm
%{perl_root}/%{version}/%{full_arch}/B.pm
%{perl_root}/%{version}/%{full_arch}/auto/B/B.so
%{perl_root}/%{version}/%{full_arch}/Cwd.pm
%{perl_root}/%{version}/%{full_arch}/File/Spec.pm
%{perl_root}/%{version}/%{full_arch}/File/Spec/Unix.pm
%dir %{perl_root}/%{version}/%{full_arch}/File/Spec
%{perl_root}/%{version}/%{full_arch}/Fcntl.pm
%{perl_root}/%{version}/%{full_arch}/IO.pm
%dir %{perl_root}/%{version}/%{full_arch}/IO
%{perl_root}/%{version}/%{full_arch}/IO/File.pm
%{perl_root}/%{version}/%{full_arch}/IO/Handle.pm
%{perl_root}/%{version}/%{full_arch}/IO/Seekable.pm
%{perl_root}/%{version}/%{full_arch}/IO/Select.pm
%{perl_root}/%{version}/%{full_arch}/IO/Socket.pm
%dir %{perl_root}/%{version}/%{full_arch}/IO/Socket
%{perl_root}/%{version}/%{full_arch}/IO/Socket/INET.pm
%dir %{perl_root}/%{version}/%{full_arch}/Compress
%dir %{perl_root}/%{version}/%{full_arch}/Compress/Raw
%{perl_root}/%{version}/%{full_arch}/Compress/Raw/Bzip2.pm
%{perl_root}/%{version}/%{full_arch}/Compress/Raw/Zlib.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Bzip2
%{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Bzip2/Bzip2.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Zlib
%{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Zlib/Zlib.so
%dir %{perl_root}/%{version}/%{full_arch}/auto
%dir %{perl_root}/%{version}/%{full_arch}/auto/Cwd
%{perl_root}/%{version}/%{full_arch}/auto/Cwd/Cwd.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Data
%dir %{perl_root}/%{version}/%{full_arch}/auto/Data/Dumper
%{perl_root}/%{version}/%{full_arch}/auto/Data/Dumper/Dumper.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Fcntl
%{perl_root}/%{version}/%{full_arch}/auto/Fcntl/Fcntl.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/File
%dir %{perl_root}/%{version}/%{full_arch}/auto/File/Glob
%{perl_root}/%{version}/%{full_arch}/auto/File/Glob/Glob.so
%{perl_root}/%{version}/%{full_arch}/File/Glob.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/MIME
%dir %{perl_root}/%{version}/%{full_arch}/auto/MIME/Base64
%{perl_root}/%{version}/%{full_arch}/auto/MIME/Base64/Base64.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Digest
%dir %{perl_root}/%{version}/%{full_arch}/auto/Digest/MD5
%{perl_root}/%{version}/%{full_arch}/auto/Digest/MD5/MD5.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/I18N
%dir %{perl_root}/%{version}/%{full_arch}/auto/I18N/Langinfo/
%{perl_root}/%{version}/%{full_arch}/auto/I18N/Langinfo/Langinfo.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/IO
%{perl_root}/%{version}/%{full_arch}/auto/IO/IO.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode
%{perl_root}/%{version}/%{full_arch}/Encode.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Alias.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Byte.pm
%{perl_root}/%{version}/%{full_arch}/Encode/CJKConstants.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Config.pm
%{perl_root}/%{version}/%{full_arch}/Encode/EBCDIC.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Encoder.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Encoding.pm
%{perl_root}/%{version}/%{full_arch}/Encode/GSM0338.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Guess.pm
%dir %{perl_root}/%{version}/%{full_arch}/Encode/MIME
%dir %{perl_root}/%{version}/%{full_arch}/Encode/MIME/Header
%{perl_root}/%{version}/%{full_arch}/Encode/MIME/Header.pm
%{perl_root}/%{version}/%{full_arch}/Encode/MIME/Header/ISO_2022_JP.pm
%{perl_root}/%{version}/%{full_arch}/Encode/MIME/Name.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Symbol.pm
%dir %{perl_root}/%{version}/%{full_arch}/Encode/Unicode
%{perl_root}/%{version}/%{full_arch}/Encode/Unicode.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Unicode/UTF7.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/Byte
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Byte/Byte.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/EBCDIC
%{perl_root}/%{version}/%{full_arch}/auto/Encode/EBCDIC/EBCDIC.so
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Encode.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/Symbol
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Symbol/Symbol.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/Unicode
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Unicode/Unicode.so
%dir %{perl_root}/%{version}/%{full_arch}/List
%dir %{perl_root}/%{version}/%{full_arch}/List/Util
%{perl_root}/%{version}/%{full_arch}/List/Util.pm
%{perl_root}/%{version}/%{full_arch}/List/Util/XS.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/List
%dir %{perl_root}/%{version}/%{full_arch}/auto/List/Util
%{perl_root}/%{version}/%{full_arch}/auto/List/Util/Util.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/POSIX
%{perl_root}/%{version}/%{full_arch}/auto/POSIX/POSIX.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Socket
%{perl_root}/%{version}/%{full_arch}/auto/Socket/Socket.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Storable
%{perl_root}/%{version}/%{full_arch}/auto/Storable/Storable.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/re
%{perl_root}/%{version}/%{full_arch}/auto/re/re.so
%{perl_root}/%{version}/%{full_arch}/Config.pm
%{perl_root}/%{version}/%{full_arch}/Config_heavy.pl
%{perl_root}/%{version}/%{full_arch}/Digest/MD5.pm
%{perl_root}/%{version}/%{full_arch}/DynaLoader.pm
%{perl_root}/%{version}/%{full_arch}/I18N/Langinfo.pm
%{perl_root}/%{version}/%{full_arch}/MIME/Base64.pm
%{perl_root}/%{version}/%{full_arch}/MIME/QuotedPrint.pm
%{perl_root}/%{version}/%{full_arch}/POSIX.pm
%dir %{perl_root}/%{version}/%{full_arch}/Scalar/
%{perl_root}/%{version}/%{full_arch}/Scalar/Util.pm
%{perl_root}/%{version}/%{full_arch}/Socket.pm
%{perl_root}/%{version}/%{full_arch}/Storable.pm
%dir %{perl_root}/%{version}/%{full_arch}/Sys/
%dir %{perl_root}/%{version}/%{full_arch}/auto/Sys/
%dir %{perl_root}/%{version}/%{full_arch}/auto/Sys/Hostname
%{perl_root}/%{version}/%{full_arch}/Sys/Hostname.pm
%{perl_root}/%{version}/%{full_arch}/auto/Sys/Hostname/Hostname.so
%{perl_root}/%{version}/%{full_arch}/re.pm
%dir %{perl_root}/%{version}/%{full_arch}/CORE
%{perl_root}/%{version}/%{full_arch}/CORE/libperl.so
%dir %{perl_root}/%{version}/%{full_arch}/asm
%dir %{perl_root}/%{version}/%{full_arch}/bits
%dir %{perl_root}/%{version}/%{full_arch}/sys
%{perl_root}/%{version}/%{full_arch}/asm/unistd.ph
%ifarch %mips
%{perl_root}/%{version}/%{full_arch}/asm/sgidefs.ph
%endif
%ifarch x86_64
%{perl_root}/%{version}/%{full_arch}/bits/wordsize.ph
%endif
%ifarch %ix86 x86_64
%{perl_root}/%{version}/%{full_arch}/asm/unistd_32.ph
%{perl_root}/%{version}/%{full_arch}/asm/unistd_64.ph
%endif
%{perl_root}/%{version}/%{full_arch}/bits/syscall.ph
%{perl_root}/%{version}/%{full_arch}/sys/syscall.ph
%{perl_root}/%{version}/%{full_arch}/_h2ph_pre.ph
%{perl_root}/%{version}/%{full_arch}/syscall.ph
EOF

   cat > perl.list <<EOF
%doc README
%doc Artistic
%{_bindir}/a2p
%{_bindir}/perlbug
%{_bindir}/perlthanks
%{_bindir}/find2perl
%{_bindir}/pod2man
%{_bindir}/pod2html
%{_bindir}/pod2text
%{_bindir}/prove
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_bindir}/ptargrep
%{_bindir}/splain
%{_bindir}/s2p
%{_bindir}/zipdetails
EOF

   cat > perl-devel.list <<EOF
%{_bindir}/c2ph
%{_bindir}/config_data
%{_bindir}/corelist
%{_bindir}/cpan
%{_bindir}/enc2xs
%{_bindir}/h2ph
%{_bindir}/h2xs
%{_bindir}/instmodsh
%{_bindir}/json_pp
%{_bindir}/libnetcfg
%{_bindir}/piconv
%{_bindir}/pl2pm
%{_bindir}/pod2usage
%{_bindir}/podchecker
%{_bindir}/podselect
%{_bindir}/psed
%{_bindir}/pstruct
%{_bindir}/shasum
%{_bindir}/xsubpp
%{perl_root}/%{version}/Encode/encode.h
%{perl_root}/%{version}/%{full_arch}/CORE/EXTERN.h
%{perl_root}/%{version}/%{full_arch}/CORE/INTERN.h
%{perl_root}/%{version}/%{full_arch}/CORE/XSUB.h
%{perl_root}/%{version}/%{full_arch}/CORE/av.h
%{perl_root}/%{version}/%{full_arch}/CORE/cop.h
%{perl_root}/%{version}/%{full_arch}/CORE/cv.h
%{perl_root}/%{version}/%{full_arch}/CORE/dosish.h
%{perl_root}/%{version}/%{full_arch}/CORE/embed.h
%{perl_root}/%{version}/%{full_arch}/CORE/embedvar.h
%{perl_root}/%{version}/%{full_arch}/CORE/fakesdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/form.h
%{perl_root}/%{version}/%{full_arch}/CORE/gv.h
%{perl_root}/%{version}/%{full_arch}/CORE/handy.h
%{perl_root}/%{version}/%{full_arch}/CORE/hv.h
%{perl_root}/%{version}/%{full_arch}/CORE/intrpvar.h
%{perl_root}/%{version}/%{full_arch}/CORE/iperlsys.h
%{perl_root}/%{version}/%{full_arch}/CORE/keywords.h
%{perl_root}/%{version}/%{full_arch}/CORE/malloc_ctl.h
%{perl_root}/%{version}/%{full_arch}/CORE/mg.h
%{perl_root}/%{version}/%{full_arch}/CORE/nostdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/op.h
%{perl_root}/%{version}/%{full_arch}/CORE/opcode.h
%{perl_root}/%{version}/%{full_arch}/CORE/opnames.h
%{perl_root}/%{version}/%{full_arch}/CORE/overload.h
%{perl_root}/%{version}/%{full_arch}/CORE/pad.h
%{perl_root}/%{version}/%{full_arch}/CORE/parser.h
%{perl_root}/%{version}/%{full_arch}/CORE/patchlevel.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlapi.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlio.h
%{perl_root}/%{version}/%{full_arch}/CORE/perliol.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlsdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlvars.h
%{perl_root}/%{version}/%{full_arch}/CORE/perly.h
%{perl_root}/%{version}/%{full_arch}/CORE/pp.h
%{perl_root}/%{version}/%{full_arch}/CORE/pp_proto.h
%{perl_root}/%{version}/%{full_arch}/CORE/proto.h
%{perl_root}/%{version}/%{full_arch}/CORE/reentr.h
%{perl_root}/%{version}/%{full_arch}/CORE/regcharclass.h
%{perl_root}/%{version}/%{full_arch}/CORE/regcomp.h
%{perl_root}/%{version}/%{full_arch}/CORE/regexp.h
%{perl_root}/%{version}/%{full_arch}/CORE/regnodes.h
%{perl_root}/%{version}/%{full_arch}/CORE/scope.h
%{perl_root}/%{version}/%{full_arch}/CORE/sv.h
%{perl_root}/%{version}/%{full_arch}/CORE/thread.h
%{perl_root}/%{version}/%{full_arch}/CORE/uconfig.h
%{perl_root}/%{version}/%{full_arch}/CORE/unixish.h
%{perl_root}/%{version}/%{full_arch}/CORE/utf8.h
%{perl_root}/%{version}/%{full_arch}/CORE/utfebcdic.h
%{perl_root}/%{version}/%{full_arch}/CORE/util.h
%{perl_root}/%{version}/%{full_arch}/CORE/uudmap.h
%{perl_root}/%{version}/%{full_arch}/CORE/warnings.h
EOF

   cat > perl-doc.list <<EOF
%{_bindir}/perldoc
%{_mandir}/man3pm/Pod::Perldoc*
EOF

   rel_perl_root=`echo %{perl_root} | sed "s,/,,"`
   rel_mandir=`echo %{_mandir} | sed "s,/,,"`
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} "(" -name "*.pod" -o -iname "Changes*" -o -iname "ChangeLog*" -o -iname "README*" ")" -a -not -name perldiag.pod -printf "%%%%doc /%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man1 ! -name "perlivp.1*" ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man3pm ! -type d ! -name "Pod::Perldoc*" -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} -type d -printf "%%%%dir /%%p\n") >> perl.list

   perl -ni -e 'BEGIN { open F, "perl-base.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-devel.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-doc.list"; s/^.doc //, $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
)

%files -f perl.list

%files base -f perl-base.list
%{perl_root}/vendor_perl
%{_rpmconfigdir}/macros.d/macros.perl

%files devel -f perl-devel.list

%files doc -f perl-doc.list



%changelog
* Thu Jan 14 2016 luigiwalser <luigiwalser> 2:5.20.1-8.1.mga5
+ Revision: 923033
- add patch from rhbz#1293272 to fix CVE-2015-8607

* Tue Jan 06 2015 pterjan <pterjan> 2:5.20.1-8.mga5
+ Revision: 808871
- Add a patch from perl bug 123029 possibly fixing mga#13852

* Sun Oct 19 2014 pterjan <pterjan> 2:5.20.1-7.mga5
+ Revision: 791740
- Fix the patch to explude again docs

* Fri Oct 17 2014 tv <tv> 2:5.20.1-6.mga5
+ Revision: 780563
- do not exclude requires from META.* when using %%perl_default_filter

* Wed Oct 15 2014 umeabot <umeabot> 2:5.20.1-5.mga5
+ Revision: 740213
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 luigiwalser <luigiwalser> 2:5.20.1-4.mga5
+ Revision: 737198
- update bundled Data::Dumper to 2.154 to fix CVE-2014-4330

* Sat Sep 27 2014 tv <tv> 2:5.20.1-3.mga5
+ Revision: 725836
- rebuild for fixed provides

* Tue Sep 23 2014 tv <tv> 2:5.20.1-2.mga5
+ Revision: 720819
- add macros.perl from FC

* Tue Sep 23 2014 jquelin <jquelin> 2:5.20.1-1.mga5
+ Revision: 720549
- update to 5.20.1

* Tue Sep 23 2014 tv <tv> 2:5.20.0-9.mga5
+ Revision: 719639
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 2:5.20.0-8.mga5
+ Revision: 683406
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Sep 13 2014 tv <tv> 2:5.20.0-7.mga5
+ Revision: 675160
- rename makefile b/c it breaks build (bogusly introduced in r635765 by jerome)
- prepare for internal deps generator (from FC + 2 more exceptions)

  + jquelin <jquelin>
    - introducing Makefile to ease pkg rebuilding after major perl upgrade

* Fri Jun 06 2014 jquelin <jquelin> 2:5.20.0-6.mga5
+ Revision: 634167
- CPAN.pm being dual-lived, applying perl-CPAN patch here also

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-5.mga5
+ Revision: 632139
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-4.mga5
+ Revision: 632138
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-3.mga5
+ Revision: 632136
- perl 5.20.0 rebuild

* Mon Jun 02 2014 pterjan <pterjan> 2:5.20.0-2.mga5
+ Revision: 630700
- Rebuild cleanly

  + jquelin <jquelin>
    - update to 5.20.0

  + guillomovitch <guillomovitch>
    - add a conflict on perl-devel for smooth upgrade

* Thu Feb 06 2014 guillomovitch <guillomovitch> 2:5.18.2-4.mga5
+ Revision: 584486
- transfer /bin/prove from perl-devel to main package

* Tue Feb 04 2014 shlomif <shlomif> 2:5.18.2-3.mga5
+ Revision: 581933
- Missed an inc_version_list on 5.18.2

* Tue Feb 04 2014 tv <tv> 2:5.18.2-2.mga5
+ Revision: 581836
- update inc list

* Tue Feb 04 2014 tv <tv> 2:5.18.2-1.mga5
+ Revision: 581541
- new release

* Sat Oct 19 2013 umeabot <umeabot> 2:5.18.1-3.mga4
+ Revision: 533835
- Mageia 4 Mass Rebuild

  + tv <tv>
    - make perl-devel suggests perl-CPANPLUS-Dist-Mageia for cpan2dist

* Sat Sep 07 2013 sander85 <sander85> 2:5.18.1-2.mga4
+ Revision: 475578
- Drop Module::Pluggable from core (separate package is providing it and the one in core is making tests to fail in other packages)

* Fri Aug 23 2013 tv <tv> 2:5.18.1-1.mga4
+ Revision: 469910
- new release

* Thu Aug 22 2013 kamil <kamil> 2:5.18.0-6.mga4
+ Revision: 469465
- Imporve a little bit portability of the .spec (clean-up)

* Tue Jun 18 2013 shlomif <shlomif> 2:5.18.0-5.mga4
+ Revision: 444674
- Remove old (and breaking) 0444->0644 patch.
  See #MGA 10449 ( https://bugs.mageia.org/show_bug.cgi?id=10449 ) - it caused
  the Module-Build-Tiny tests to fail.

* Tue Jun 18 2013 tv <tv> 2:5.18.0-4.mga4
+ Revision: 444589
- drop patch38 (obsolete since perl-5.9.5)

* Wed May 29 2013 jquelin <jquelin> 2:5.18.0-3.mga4
+ Revision: 431353
- force rebuild after perl 5.18 upgrade
- update to perl 5.18.0

  + shlomif <shlomif>
    - Fix for test failure on i586

* Wed Mar 13 2013 jquelin <jquelin> 2:5.16.3-1.mga3
+ Revision: 402345
- forgot to add the new @INC
- update to 5.16.3

* Mon Feb 04 2013 jquelin <jquelin> 2:5.16.2-5.mga3
+ Revision: 394527
- fix Locale-Maketext CVE-2012-6329 (mga#8815)

* Sun Jan 13 2013 umeabot <umeabot> 2:5.16.2-4.mga3
+ Revision: 362755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - perl 5.16.2 shebang rebuild

* Tue Nov 06 2012 jquelin <jquelin> 2:5.16.2-2.mga3
+ Revision: 314831
- get rid of legacy %%ifarch

* Mon Nov 05 2012 jquelin <jquelin> 2:5.16.2-1.mga3
+ Revision: 314423
- update to 5.16.2
- patch inlined as configure option (-Dperllib) to prevent patch
  creeping

* Tue Oct 16 2012 fwang <fwang> 2:5.16.1-8.mga3
+ Revision: 307034
- do not fail if it is not installed
- use hanextra for zh_CN.GB18030 promoted in mga3

* Thu Sep 20 2012 tv <tv> 2:5.16.1-7.mga3
+ Revision: 296295
- rebuild for missing x86_64 binaries

* Tue Sep 18 2012 jquelin <jquelin> 2:5.16.1-6.mga3
+ Revision: 295881
- update list of provides

* Fri Aug 24 2012 tv <tv> 2:5.16.1-5.mga3
+ Revision: 283511
- rebuild with fixed rpm-mageia-setup-build

* Fri Aug 24 2012 tv <tv> 2:5.16.1-4.mga3
+ Revision: 283498
- Provides: perlapi-5.16.0

* Fri Aug 24 2012 pterjan <pterjan> 2:5.16.1-3.mga3
+ Revision: 283393
- Provide /bin/perl
- Clean rebuild

* Thu Aug 23 2012 tv <tv> 2:5.16.1-2.mga3
+ Revision: 283354
- rebuild b/c find-provides insert perlapi provides depending on installed
  perl, not the one we currently build...

* Thu Aug 23 2012 jquelin <jquelin> 2:5.16.1-1.mga3
+ Revision: 283273
- remove files no more shipped
- update link patch to match perl 5.16.1
- update to perl 5.16.1

* Thu Aug 16 2012 jquelin <jquelin> 2:5.16.0-11.mga3
+ Revision: 281481
- provide perl(open) - mga#6907

* Fri Aug 03 2012 tv <tv> 2:5.16.0-10.mga3
+ Revision: 278316
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 2:5.16.0-9.mga3
+ Revision: 277891
- rebuild with mini debug info

* Mon Jul 30 2012 tv <tv> 2:5.16.0-8.mga3
+ Revision: 276234
- rebuild for db-5.3
- drop 4 years old conflicts
- perlapi provides is automatic now

* Fri Jul 27 2012 fwang <fwang> 2:5.16.0-7.mga3
+ Revision: 274717
- use system default db libmajor

* Fri Jun 01 2012 tv <tv> 2:5.16.0-6.mga3
+ Revision: 252835
- conflict with perl-IO-Compress

* Fri Jun 01 2012 tv <tv> 2:5.16.0-5.mga3
+ Revision: 252787
- conflict with perl-Pod-Perldoc

* Thu May 31 2012 pterjan <pterjan> 2:5.16.0-4.mga3
+ Revision: 252545
- Fix one more conflict

* Thu May 31 2012 pterjan <pterjan> 2:5.16.0-3.mga3
+ Revision: 252543
- Make conflicts less stricts

* Thu May 31 2012 blino <blino> 2:5.16.0-2.mga3
+ Revision: 252542
- update conflicts with perl-Archive-Tar

  + jquelin <jquelin>
    - update to perl 5.16
      to minimize differences to upstream, i did not remove any module.
      dual-lifed modules conflicting on a script will rename the script to
      version it (eg: /usr/bin/script-x.y.z)

* Fri Apr 20 2012 tv <tv> 2:5.14.2-7.mga2
+ Revision: 232117
- move some files from perl to perl-base in order to debloat minimal install
  (saves 10.35%% of mininmal install: 280->251Mo)

* Fri Mar 16 2012 anssi <anssi> 2:5.14.2-6.mga2
+ Revision: 223649
- bump perl-base versioned conflict on drakxtools-backend, as it didn't
  contain the proper perlapi requires until recently as per bug #3731
  (fixes possible non-added kernels and skipped initramfs regeneration
  on mga1->mga2 upgrade)

* Mon Dec 05 2011 fwang <fwang> 2:5.14.2-5.mga2
+ Revision: 176901
- rebuild for new gdbm

* Fri Nov 25 2011 fwang <fwang> 2:5.14.2-4.mga2
+ Revision: 171776
- fix linkage

  + jquelin <jquelin>
    - see if new define is the bs problem
    - installing /usr/bin/perl within configure

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-3.mga2
+ Revision: 155117
- perl 5.14.2 rebuild

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-2.mga2
+ Revision: 155116
- rebuild

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-1.mga2
+ Revision: 155097
- update to 5.14.2
- script to find package owning scripts with wrong shebang

  + fwang <fwang>
    - promote ldflags also when building exts

* Sun Jun 19 2011 jquelin <jquelin> 2:5.14.1-1.mga2
+ Revision: 109798
- update to perl 5.14.1

  + tv <tv>
    - make doc subpackage noarch

* Mon Jun 13 2011 jquelin <jquelin> 2:5.14.0-5.mga2
+ Revision: 105783
- make sure perl-JSON-PP is picked by urpmi in the same transaction

* Mon Jun 13 2011 jquelin <jquelin> 2:5.14.0-4.mga2
+ Revision: 105756
- adding some conflicts with modules known to be perl 5.14 incompatible

* Sun Jun 12 2011 jquelin <jquelin> 2:5.14.0-3.mga2
+ Revision: 104268
- fixing conflict with perl-Digest-SHA
- perl 5.14 rebuild
- try to fix eumm cflags overriding
- fixing last remaining errors
- preparation to migrate to 5.14.0
- prep works fine (patch updated or dropped if merged upstream)
- build works fine
- all test work but 1: number 7 in t/porting/regen.t
  i did not manage to get a shell access with iurt, so i didn't have the
  chance to investigate further. i(m giving it up currently. in worst
  case, i think that skipping this test is not that big a deal.

* Mon May 16 2011 jquelin <jquelin> 2:5.12.3-4.mga1
+ Revision: 99222
- fix bug#1300 lc/uc bypass taint (cve 2011-1487)

* Thu Feb 17 2011 jquelin <jquelin> 2:5.12.3-3.mga1
+ Revision: 52901
+ rebuild (emptylog)

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.3-2.mga1
+ Revision: 52702
- forgot to add previous arch @inc

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.3-1.mga1
+ Revision: 52620
- update to 5.12.3

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.2-11.mga1
+ Revision: 52448
- adding missing provides:

* Mon Jan 31 2011 jquelin <jquelin> 2:5.12.2-10.mga1
+ Revision: 45158
- install man pages from core modules in section 3pm, to avoid conflict with standalone versions of the same modules

* Wed Jan 26 2011 jquelin <jquelin> 2:5.12.2-9.mga1
+ Revision: 40024
- adding missing provides:

* Tue Jan 25 2011 jquelin <jquelin> 2:5.12.2-8.mga1
+ Revision: 38277
- adding missing provides:

* Tue Jan 18 2011 blino <blino> 2:5.12.2-7.mga1
+ Revision: 23248
- rebuild
- revert incorrect import

* Mon Jan 10 2011 jquelin <jquelin> 2:5.12.2-5.mga1
+ Revision: 5260
- imported package perl

  + blino <blino>
    - update distro name
    - use generic distribution macros
    - remove old conflicts
    - imported package perl

